- include_tasks: facts.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: plan.yaml
- include_tasks: cache.yaml
- include_tasks: upgrades.yaml
  when:
  - tv_dc is defined
  - tv_dc.resources is defined
  - tv_dc.resources[0] is defined
  - tv_dc.resources[0].spec is defined
  - >
     ((deployment_kind == 'Deployment' or (do_triggers | default(False)) == False)
      and tv_dc.resources[0].spec.template is defined
      and tv_dc.resources[0].spec.template.spec is defined
      and tv_dc.resources[0].spec.template.spec.containers is defined
      and tv_dc.resources[0].spec.template.spec.containers[0] is defined
      and tv_dc.resources[0].spec.template.spec.containers[0].image is defined
      and not (tv_dc.resources[0].spec.template.spec.containers[0].image is regex("trivy:" ~ trivy_tag)))
     or (deployment_kind == 'DeploymentConfig'
         and (do_triggers | default(False))
         and tv_dc.resources[0].spec.triggers is defined
         and tv_dc.resources[0].spec.triggers[0] is defined
         and tv_dc.resources[0].spec.triggers[0].imageChangeParams is defined
         and tv_dc.resources[0].spec.triggers[0].imageChangeParams.from is defined
         and tv_dc.resources[0].spec.triggers[0].imageChangeParams.from.name is defined
         and tv_dc.resources[0].spec.triggers[0].imageChangeParams.from.name != ("trivy:" ~ trivy_tag))
- include_tasks: deploy.yaml
- include_tasks: verify.yaml
